<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.TdPropertyNetinfoMapper">
    
    <resultMap type="TdPropertyNetinfo" id="TdPropertyNetinfoResult">
        <result property="id"    column="id"    />
        <result property="netId"    column="net_id"    />
        <result property="netBrand"    column="net_brand"    />
        <result property="netIp"    column="net_ip"    />
        <result property="netNo"    column="net_no"    />
        <result property="netName"    column="net_name"    />
        <result property="netSn"    column="net_sn"    />
        <result property="remark"    column="remark"    />
        <result property="netname"    column="netname"    />
        <result property="netManager"    column="net_manager"    />
        <result property="netMiji"    column="net_miji"    />
        <result property="netsmname"    column="netsmname"    />
        <result property="isCurcial"    column="is_curcial"    />
        <result property="depart"    column="depart"    />
    </resultMap>

    <sql id="selectTdPropertyNetinfoVo">
        select id, net_id, net_brand, net_ip, net_no, net_name, net_sn, remark, netname, net_manager, net_miji, netsmname, is_curcial, depart from td_property_netinfo
    </sql>

    <select id="selectTdPropertyNetinfoList" parameterType="TdPropertyNetinfo" resultMap="TdPropertyNetinfoResult">
        <include refid="selectTdPropertyNetinfoVo"/>
        <where>
            <if test="id != null and id != '' "> and id = #{id}</if>
            <if test="netId != null and netId != '' "> and net_id = #{netId}</if>
            <if test="netBrand != null and netBrand != '' "> and net_brand = #{netBrand}</if>
            <if test="netIp != null "> and net_ip = #{netIp}</if>
            <if test="netNo != null and netNo != '' "> and net_no = #{netNo}</if>
            <if test="netName != null  and netName != '' "> and net_name = #{netName}</if>
            <if test="netSn != null "> and net_sn = #{netSn}</if>
            <if test="netname != null "> and netname = #{netname}</if>
            <if test="netManager != null "> and net_manager = #{netManager}</if>
            <if test="netMiji != null "> and net_miji = #{netMiji}</if>
            <if test="netsmname != null "> and netsmname = #{netsmname}</if>
            <if test="isCurcial != null "> and is_curcial = #{isCurcial}</if>
            <if test="depart != null "> and depart = #{depart}</if>
        </where>
    </select>
    
    <select id="selectTdPropertyNetinfoById" parameterType="String" resultMap="TdPropertyNetinfoResult">
        <include refid="selectTdPropertyNetinfoVo"/>
        where id = #{id}
    </select>

    <select id="selectTdPropertyNetinfoByNetId" parameterType="String" resultMap="TdPropertyNetinfoResult">
        <include refid="selectTdPropertyNetinfoVo"/>
        where net_id = #{id}
    </select>
        
    <insert id="insertTdPropertyNetinfo" parameterType="TdPropertyNetinfo">
        insert into td_property_netinfo
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">id,</if>
            <if test="netId != null">net_id,</if>
            <if test="netBrand != null">net_brand,</if>
            <if test="netIp != null">net_ip,</if>
            <if test="netNo != null">net_no,</if>
            <if test="netName != null">net_name,</if>
            <if test="netSn != null">net_sn,</if>
            <if test="remark != null">remark,</if>
            <if test="netname != null">netname,</if>
            <if test="netManager != null">net_manager,</if>
            <if test="netMiji != null">net_miji,</if>
            <if test="netsmname != null">netsmname,</if>
            <if test="isCurcial != null">is_curcial,</if>
            <if test="depart != null">depart,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">#{id},</if>
            <if test="netId != null">#{netId},</if>
            <if test="netBrand != null">#{netBrand},</if>
            <if test="netIp != null">#{netIp},</if>
            <if test="netNo != null">#{netNo},</if>
            <if test="netName != null">#{netName},</if>
            <if test="netSn != null">#{netSn},</if>
            <if test="remark != null">#{remark},</if>
            <if test="netname != null">#{netname},</if>
            <if test="netManager != null">#{netManager},</if>
            <if test="netMiji != null">#{netMiji},</if>
            <if test="netsmname != null">#{netsmname},</if>
            <if test="isCurcial != null">#{isCurcial},</if>
            <if test="depart != null">#{depart},</if>
         </trim>
    </insert>

    <update id="updateTdPropertyNetinfo" parameterType="TdPropertyNetinfo">
        update td_property_netinfo
        <trim prefix="SET" suffixOverrides=",">
            <if test="netId != null">net_id = #{netId},</if>
            <if test="netBrand != null">net_brand = #{netBrand},</if>
            <if test="netIp != null">net_ip = #{netIp},</if>
            <if test="netNo != null">net_no = #{netNo},</if>
            <if test="netName != null">net_name = #{netName},</if>
            <if test="netSn != null">net_sn = #{netSn},</if>
            <if test="remark != null">remark = #{remark},</if>
            <if test="netname != null">netname = #{netname},</if>
            <if test="netManager != null">net_manager = #{netManager},</if>
            <if test="netMiji != null">net_miji = #{netMiji},</if>
            <if test="netsmname != null">netsmname = #{netsmname},</if>
            <if test="isCurcial != null">is_curcial = #{isCurcial},</if>
            <if test="depart != null">depart = #{depart},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteTdPropertyNetinfoById" parameterType="String">
        delete from td_property_netinfo where id = #{id}
    </delete>

    <delete id="deleteTdPropertyNetinfoByIds" parameterType="String">
        delete from td_property_netinfo where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>

</mapper>